# Gimp.Parasite

    const Gimp = imports.gi.Gimp;

    let parasite = new Gimp.Parasite(name: String, flags: Number(guint32), data: Array(Number(gchar)));

Arbitrary pieces of data which can be attached to various GIMP objects.

## Constructors

- Gimp.Parasite.new

## Methods

- Gimp.Parasite.prototype.compare
- Gimp.Parasite.prototype.copy
- Gimp.Parasite.prototype.free
- Gimp.Parasite.prototype.get_data
- Gimp.Parasite.prototype.get_flags
- Gimp.Parasite.prototype.get_name
- Gimp.Parasite.prototype.has_flag
- Gimp.Parasite.prototype.is_persistent
- Gimp.Parasite.prototype.is_type
- Gimp.Parasite.prototype.is_undoable

## Fields

- data
- flags
- name
- size